/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2013. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1
#define  PANEL_CONNECT                    2       /* control type: textButton, callback function: Connect */
#define  PANEL_DIGGRAPH                   3       /* control type: digitalGraph, callback function: (none) */
#define  PANEL_SAMPLERATE                 4       /* control type: slide, callback function: Set_Sample_Rate */
#define  PANEL_COMMANDBUTTON              5       /* control type: command, callback function: Quit */
#define  PANEL_ZOOM                       6       /* control type: slide, callback function: Zoom */
#define  PANEL_SCROLL                     7       /* control type: slide, callback function: Scroll */
#define  PANEL_RunStop                    8       /* control type: textButton, callback function: RunStop */
#define  PANEL_Trigger                    9       /* control type: textButton, callback function: Trigger_Select */


     /* Control Arrays: */

          /* (no control arrays in the resource file) */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK Connect(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Quit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RunStop(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Scroll(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Set_Sample_Rate(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Trigger_Select(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Zoom(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
