`timescale 1ns / 1ps

////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:   14:41:11 01/28/2013
// Design Name:   PB_Debounce
// Module Name:   M:/Projects/xilinx/PB_Debounce/TEST_PB_Debounce.v
// Project Name:  PB_Debounce
// Target Device:  
// Tool versions:  
// Description: 
//
// Verilog Test Fixture created by ISE for module: PB_Debounce
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////

module TEST_PB_Debounce;

	// Inputs
	reg SLOW_CLK;
	reg PB_IN;

	// Outputs
	wire DB_OUT;

	// Instantiate the Unit Under Test (UUT)
	PB_Debounce uut (
		.SLOW_CLK(SLOW_CLK), 
		.PB_IN(PB_IN), 
		.DB_OUT(DB_OUT)
	);

	initial begin
		// Initialize Inputs
		SLOW_CLK = 0;
		PB_IN = 0;

		// Wait 100 ns for global reset to finish
		#100;
        
		// Add stimulus here
		#900	PB_IN = ~PB_IN;
		#100	PB_IN = ~PB_IN;
		#200	PB_IN = ~PB_IN;
		#100	PB_IN = ~PB_IN;
		#50	PB_IN = ~PB_IN;
		#100	PB_IN = ~PB_IN;
		#200	PB_IN = ~PB_IN;
		#100	PB_IN = ~PB_IN;
		#50	PB_IN = ~PB_IN;
		
		#8000
		#900	PB_IN = ~PB_IN;
		#100	PB_IN = ~PB_IN;
		#200	PB_IN = ~PB_IN;
		#100	PB_IN = ~PB_IN;
		#50	PB_IN = ~PB_IN;
		#100	PB_IN = ~PB_IN;
		#200	PB_IN = ~PB_IN;
		#100	PB_IN = ~PB_IN;
		#50	PB_IN = ~PB_IN;
		

	end
	
	always
		#50	SLOW_CLK = ~SLOW_CLK;
      
endmodule

