`timescale 1ns / 1ps

////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:   16:06:55 01/21/2013
// Design Name:   ClockGen
// Module Name:   M:/Projects/xilinx/FPInterface/LogicAnalyzer/LogicAnalyzer/TestClockGen.v
// Project Name:  LogicAnalyzer
// Target Device:  
// Tool versions:  
// Description: 
//
// Verilog Test Fixture created by ISE for module: ClockGen
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////

module TestClockGen;

	// Inputs
	reg CLK_IN;
	reg [2:0] CLK_SEL;
	reg EXT_CLK;
	reg RESET;

	// Outputs
	wire CLK_OUT;
	wire CLK_RDY;

	// Instantiate the Unit Under Test (UUT)
	ClockGen uut (
		.CLK_IN(CLK_IN), 
		.CLK_SEL(CLK_SEL), 
		.EXT_CLK(EXT_CLK), 
		.RESET(RESET), 
		.SA_CLK_OUT(CLK_OUT), 
		.CLK_RDY(CLK_RDY)
	);

	initial begin
		// Initialize Inputs
		CLK_IN = 0;
		CLK_SEL = 0;
		EXT_CLK = 0;
		RESET = 0;

		// Wait 100 ns for global reset to finish
		#100;
        
		// Add stimulus here

	end
	
	always
		#10	CLK_IN = ~CLK_IN;		//	50MHz input clock
		
	always
		#3000	CLK_SEL = CLK_SEL+1;	//	Change inputs
		
	always
		#250	EXT_CLK = ~CLK_IN;
      
endmodule

