`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    06:54:45 03/13/2013 
// Design Name: 
// Module Name:    ofd 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module my_ofd(
    output sdram_clk_out,
    input sdram_clk
    );
	 
	// This bit is for source-synchronous configurations where the SDRAM clock
	// comes from the FPGA rather than directly from the PLL.  We output the
	// clock from an FPGA DDR register.
	OFDDRCPE sdramOutputClock (
		.Q(sdram_clk_out),
		.C0(sdram_clk),
		.C1(~sdram_clk),
		.CE(1'b1),
		.CLR(1'b0),
		.D0(1'b1),
		.D1(1'b0),
		.PRE(1'b0) );


endmodule
